Boards
Copy the board along with all its related boards (graph copy)
cURL
curl --request POST \
--url '/public-api/v1/Boards/CopyWithRelation/{boardId}' \
--header 'user-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"DestinationWorkspaceId": "string",
"BoardLabel": "string",
"CopyEntities": false,
"CopyMembers": false,
"UseMemberRoleShadow": false,
"CustomDescriptor": "string",
"OverloadVariables": {}
}'Authorizations
- user-api-keystringheader
User's API Key · apiKey
Path parameters
- boardIdstringrequired
Body
application/jsonGraph copy parameters
- DestinationWorkspaceIdstring
Destination workspace's id
- BoardLabelstring
Created board label
- CopyEntitiesboolean
true:: copy entities / false:: copy skeleton
- CopyMembersboolean
true:: copy board members / false:: create board without members
- UseMemberRoleShadowboolean
true:: add duplicated members with Shadow role (no invitation sent) / false:: add duplicated members with their original roles (invitations sent)
- CustomDescriptorstring
- OverloadVariablesobject
Optional dictionary (key/value) for overloading existing board variables and creating new ones
Responses
OK